Update Customer Address

POST/store/:storeCode/customers/me/addresses/:addressId
publishable keyJWT

Update a customer address.

Path Parameters
storeCoderequiredstring

Store slug in the URL (first argument to every SDK store method).

addressIdrequiredstring

The address ID.

Query Parameters
fieldsstring

Comma-separated fields to include. Prefix with `*` to expand a relation (e.g. `id,*variants`).

Request Body

Schema

Copy
HttpTypes.StoreUpdateCustomerAddress

Properties

country_codestring

ISO-2 country code.

address_1string

Address line 1.

citystring

City.

postal_codestring

Postal code.

is_default_shippingboolean

Set as default shipping.

is_default_billingboolean

Set as default billing.

Response

Status

200OK

Schema

Copy
HttpTypes.StoreCustomerResponse

Properties

customerrequiredStoreCustomer

Customer with updated address.